# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: cosima_core/messages/message.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='cosima_core/messages/message.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\"cosima_core/messages/message.proto\"\x93\x01\n\x0eInitialMessage\x12\x0e\n\x06msg_id\x18\x01 \x01(\t\x12\x13\n\x0bmax_advance\x18\x02 \x01(\x05\x12\r\n\x05until\x18\x03 \x01(\x05\x12\x11\n\tstep_size\x18\x04 \x01(\x05\x12\x15\n\rlogging_level\x18\x05 \x01(\t\x12#\n\x1bmax_byte_size_per_msg_group\x18\x06 \x01(\x05\"\xb2\x01\n\x0bInfoMessage\x12\x0e\n\x06msg_id\x18\x01 \x01(\t\x12\x13\n\x0bmax_advance\x18\x02 \x01(\x05\x12\x10\n\x08sim_time\x18\x03 \x01(\x05\x12\x0e\n\x06sender\x18\x04 \x01(\t\x12\x10\n\x08receiver\x18\x05 \x01(\t\x12\x0c\n\x04size\x18\x06 \x01(\x05\x12\x0f\n\x07\x63ontent\x18\x07 \x01(\t\x12\x15\n\rcreation_time\x18\x08 \x01(\x05\x12\x14\n\x0cis_falsified\x18\t \x01(\x08\"\xec\x01\n\x16SynchronisationMessage\x12\x31\n\x08msg_type\x18\x01 \x01(\x0e\x32\x1f.SynchronisationMessage.MsgType\x12\x0e\n\x06msg_id\x18\x02 \x01(\t\x12\x10\n\x08sim_time\x18\x03 \x01(\x05\x12\x13\n\x0bmax_advance\x18\x04 \x01(\x05\x12\x0f\n\x07timeout\x18\x05 \x01(\x08\x12\x16\n\x0etimeout_msg_id\x18\x06 \x01(\t\"?\n\x07MsgType\x12\x0f\n\x0bMAX_ADVANCE\x10\x00\x12\x0b\n\x07WAITING\x10\x01\x12\x16\n\x12TRANSMISSION_ERROR\x10\x02\"\xd2\x01\n\x15InfrastructureMessage\x12\x30\n\x08msg_type\x18\x01 \x01(\x0e\x32\x1e.InfrastructureMessage.MsgType\x12\x0e\n\x06msg_id\x18\x02 \x01(\t\x12\x10\n\x08sim_time\x18\x03 \x01(\x05\x12\x15\n\rchange_module\x18\x04 \x01(\t\x12$\n\x1c\x63onnection_change_successful\x18\x05 \x01(\x08\"(\n\x07MsgType\x12\x0e\n\nDISCONNECT\x10\x00\x12\r\n\tRECONNECT\x10\x01\"\x9d\x01\n\x0eTrafficMessage\x12\x0e\n\x06msg_id\x18\x01 \x01(\t\x12\x10\n\x08sim_time\x18\x02 \x01(\x05\x12\x0e\n\x06source\x18\x03 \x01(\t\x12\x13\n\x0b\x64\x65stination\x18\x04 \x01(\t\x12\r\n\x05start\x18\x05 \x01(\x05\x12\x0c\n\x04stop\x18\x06 \x01(\x05\x12\x10\n\x08interval\x18\x07 \x01(\x05\x12\x15\n\rpacket_length\x18\x08 \x01(\x05\"\xf5\x01\n\rAttackMessage\x12(\n\x08msg_type\x18\x01 \x01(\x0e\x32\x16.AttackMessage.MsgType\x12\x0e\n\x06msg_id\x18\x02 \x01(\t\x12\x10\n\x08sim_time\x18\x03 \x01(\x05\x12\x17\n\x0f\x61ttacked_module\x18\x04 \x01(\t\x12\r\n\x05start\x18\x05 \x01(\x05\x12\x0c\n\x04stop\x18\x06 \x01(\x05\x12\x1a\n\x12\x61ttack_probability\x18\x07 \x01(\x05\"F\n\x07MsgType\x12\x0f\n\x0bPACKET_DROP\x10\x00\x12\x18\n\x14PACKET_FALSIFICATION\x10\x01\x12\x10\n\x0cPACKET_DELAY\x10\x02\"\x83\x03\n\x0e\x43osimaMsgGroup\x12)\n\x10initial_messages\x18\x01 \x03(\x0b\x32\x0f.InitialMessage\x12#\n\rinfo_messages\x18\x02 \x03(\x0b\x32\x0c.InfoMessage\x12\x39\n\x18synchronisation_messages\x18\x03 \x03(\x0b\x32\x17.SynchronisationMessage\x12\x37\n\x17infrastructure_messages\x18\x04 \x03(\x0b\x32\x16.InfrastructureMessage\x12)\n\x10traffic_messages\x18\x05 \x03(\x0b\x32\x0f.TrafficMessage\x12\'\n\x0f\x61ttack_messages\x18\x06 \x03(\x0b\x32\x0e.AttackMessage\x12\x1b\n\x13\x63urrent_mosaik_step\x18\x07 \x01(\x05\x12 \n\x18number_of_message_groups\x18\x08 \x01(\x05\x12\x1a\n\x12number_of_messages\x18\t \x01(\x05\x62\x06proto3')
)



_SYNCHRONISATIONMESSAGE_MSGTYPE = _descriptor.EnumDescriptor(
  name='MsgType',
  full_name='SynchronisationMessage.MsgType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='MAX_ADVANCE', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='WAITING', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='TRANSMISSION_ERROR', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=543,
  serialized_end=606,
)
_sym_db.RegisterEnumDescriptor(_SYNCHRONISATIONMESSAGE_MSGTYPE)

_INFRASTRUCTUREMESSAGE_MSGTYPE = _descriptor.EnumDescriptor(
  name='MsgType',
  full_name='InfrastructureMessage.MsgType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='DISCONNECT', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='RECONNECT', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=779,
  serialized_end=819,
)
_sym_db.RegisterEnumDescriptor(_INFRASTRUCTUREMESSAGE_MSGTYPE)

_ATTACKMESSAGE_MSGTYPE = _descriptor.EnumDescriptor(
  name='MsgType',
  full_name='AttackMessage.MsgType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='PACKET_DROP', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PACKET_FALSIFICATION', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PACKET_DELAY', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1157,
  serialized_end=1227,
)
_sym_db.RegisterEnumDescriptor(_ATTACKMESSAGE_MSGTYPE)


_INITIALMESSAGE = _descriptor.Descriptor(
  name='InitialMessage',
  full_name='InitialMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='InitialMessage.msg_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_advance', full_name='InitialMessage.max_advance', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='until', full_name='InitialMessage.until', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='step_size', full_name='InitialMessage.step_size', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='logging_level', full_name='InitialMessage.logging_level', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_byte_size_per_msg_group', full_name='InitialMessage.max_byte_size_per_msg_group', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=39,
  serialized_end=186,
)


_INFOMESSAGE = _descriptor.Descriptor(
  name='InfoMessage',
  full_name='InfoMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='InfoMessage.msg_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_advance', full_name='InfoMessage.max_advance', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sim_time', full_name='InfoMessage.sim_time', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sender', full_name='InfoMessage.sender', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='receiver', full_name='InfoMessage.receiver', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='size', full_name='InfoMessage.size', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='content', full_name='InfoMessage.content', index=6,
      number=7, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='creation_time', full_name='InfoMessage.creation_time', index=7,
      number=8, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='is_falsified', full_name='InfoMessage.is_falsified', index=8,
      number=9, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=189,
  serialized_end=367,
)


_SYNCHRONISATIONMESSAGE = _descriptor.Descriptor(
  name='SynchronisationMessage',
  full_name='SynchronisationMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_type', full_name='SynchronisationMessage.msg_type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='SynchronisationMessage.msg_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sim_time', full_name='SynchronisationMessage.sim_time', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_advance', full_name='SynchronisationMessage.max_advance', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='timeout', full_name='SynchronisationMessage.timeout', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='timeout_msg_id', full_name='SynchronisationMessage.timeout_msg_id', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _SYNCHRONISATIONMESSAGE_MSGTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=370,
  serialized_end=606,
)


_INFRASTRUCTUREMESSAGE = _descriptor.Descriptor(
  name='InfrastructureMessage',
  full_name='InfrastructureMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_type', full_name='InfrastructureMessage.msg_type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='InfrastructureMessage.msg_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sim_time', full_name='InfrastructureMessage.sim_time', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='change_module', full_name='InfrastructureMessage.change_module', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='connection_change_successful', full_name='InfrastructureMessage.connection_change_successful', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _INFRASTRUCTUREMESSAGE_MSGTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=609,
  serialized_end=819,
)


_TRAFFICMESSAGE = _descriptor.Descriptor(
  name='TrafficMessage',
  full_name='TrafficMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='TrafficMessage.msg_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sim_time', full_name='TrafficMessage.sim_time', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='source', full_name='TrafficMessage.source', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='destination', full_name='TrafficMessage.destination', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='start', full_name='TrafficMessage.start', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='stop', full_name='TrafficMessage.stop', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='interval', full_name='TrafficMessage.interval', index=6,
      number=7, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='packet_length', full_name='TrafficMessage.packet_length', index=7,
      number=8, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=822,
  serialized_end=979,
)


_ATTACKMESSAGE = _descriptor.Descriptor(
  name='AttackMessage',
  full_name='AttackMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_type', full_name='AttackMessage.msg_type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='msg_id', full_name='AttackMessage.msg_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sim_time', full_name='AttackMessage.sim_time', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attacked_module', full_name='AttackMessage.attacked_module', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='start', full_name='AttackMessage.start', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='stop', full_name='AttackMessage.stop', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attack_probability', full_name='AttackMessage.attack_probability', index=6,
      number=7, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _ATTACKMESSAGE_MSGTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=982,
  serialized_end=1227,
)


_COSIMAMSGGROUP = _descriptor.Descriptor(
  name='CosimaMsgGroup',
  full_name='CosimaMsgGroup',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='initial_messages', full_name='CosimaMsgGroup.initial_messages', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='info_messages', full_name='CosimaMsgGroup.info_messages', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='synchronisation_messages', full_name='CosimaMsgGroup.synchronisation_messages', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='infrastructure_messages', full_name='CosimaMsgGroup.infrastructure_messages', index=3,
      number=4, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='traffic_messages', full_name='CosimaMsgGroup.traffic_messages', index=4,
      number=5, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attack_messages', full_name='CosimaMsgGroup.attack_messages', index=5,
      number=6, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='current_mosaik_step', full_name='CosimaMsgGroup.current_mosaik_step', index=6,
      number=7, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='number_of_message_groups', full_name='CosimaMsgGroup.number_of_message_groups', index=7,
      number=8, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='number_of_messages', full_name='CosimaMsgGroup.number_of_messages', index=8,
      number=9, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1230,
  serialized_end=1617,
)

_SYNCHRONISATIONMESSAGE.fields_by_name['msg_type'].enum_type = _SYNCHRONISATIONMESSAGE_MSGTYPE
_SYNCHRONISATIONMESSAGE_MSGTYPE.containing_type = _SYNCHRONISATIONMESSAGE
_INFRASTRUCTUREMESSAGE.fields_by_name['msg_type'].enum_type = _INFRASTRUCTUREMESSAGE_MSGTYPE
_INFRASTRUCTUREMESSAGE_MSGTYPE.containing_type = _INFRASTRUCTUREMESSAGE
_ATTACKMESSAGE.fields_by_name['msg_type'].enum_type = _ATTACKMESSAGE_MSGTYPE
_ATTACKMESSAGE_MSGTYPE.containing_type = _ATTACKMESSAGE
_COSIMAMSGGROUP.fields_by_name['initial_messages'].message_type = _INITIALMESSAGE
_COSIMAMSGGROUP.fields_by_name['info_messages'].message_type = _INFOMESSAGE
_COSIMAMSGGROUP.fields_by_name['synchronisation_messages'].message_type = _SYNCHRONISATIONMESSAGE
_COSIMAMSGGROUP.fields_by_name['infrastructure_messages'].message_type = _INFRASTRUCTUREMESSAGE
_COSIMAMSGGROUP.fields_by_name['traffic_messages'].message_type = _TRAFFICMESSAGE
_COSIMAMSGGROUP.fields_by_name['attack_messages'].message_type = _ATTACKMESSAGE
DESCRIPTOR.message_types_by_name['InitialMessage'] = _INITIALMESSAGE
DESCRIPTOR.message_types_by_name['InfoMessage'] = _INFOMESSAGE
DESCRIPTOR.message_types_by_name['SynchronisationMessage'] = _SYNCHRONISATIONMESSAGE
DESCRIPTOR.message_types_by_name['InfrastructureMessage'] = _INFRASTRUCTUREMESSAGE
DESCRIPTOR.message_types_by_name['TrafficMessage'] = _TRAFFICMESSAGE
DESCRIPTOR.message_types_by_name['AttackMessage'] = _ATTACKMESSAGE
DESCRIPTOR.message_types_by_name['CosimaMsgGroup'] = _COSIMAMSGGROUP
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

InitialMessage = _reflection.GeneratedProtocolMessageType('InitialMessage', (_message.Message,), dict(
  DESCRIPTOR = _INITIALMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:InitialMessage)
  ))
_sym_db.RegisterMessage(InitialMessage)

InfoMessage = _reflection.GeneratedProtocolMessageType('InfoMessage', (_message.Message,), dict(
  DESCRIPTOR = _INFOMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:InfoMessage)
  ))
_sym_db.RegisterMessage(InfoMessage)

SynchronisationMessage = _reflection.GeneratedProtocolMessageType('SynchronisationMessage', (_message.Message,), dict(
  DESCRIPTOR = _SYNCHRONISATIONMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:SynchronisationMessage)
  ))
_sym_db.RegisterMessage(SynchronisationMessage)

InfrastructureMessage = _reflection.GeneratedProtocolMessageType('InfrastructureMessage', (_message.Message,), dict(
  DESCRIPTOR = _INFRASTRUCTUREMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:InfrastructureMessage)
  ))
_sym_db.RegisterMessage(InfrastructureMessage)

TrafficMessage = _reflection.GeneratedProtocolMessageType('TrafficMessage', (_message.Message,), dict(
  DESCRIPTOR = _TRAFFICMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:TrafficMessage)
  ))
_sym_db.RegisterMessage(TrafficMessage)

AttackMessage = _reflection.GeneratedProtocolMessageType('AttackMessage', (_message.Message,), dict(
  DESCRIPTOR = _ATTACKMESSAGE,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:AttackMessage)
  ))
_sym_db.RegisterMessage(AttackMessage)

CosimaMsgGroup = _reflection.GeneratedProtocolMessageType('CosimaMsgGroup', (_message.Message,), dict(
  DESCRIPTOR = _COSIMAMSGGROUP,
  __module__ = 'cosima_core.messages.message_pb2'
  # @@protoc_insertion_point(class_scope:CosimaMsgGroup)
  ))
_sym_db.RegisterMessage(CosimaMsgGroup)


# @@protoc_insertion_point(module_scope)
